---
layout: markdown_page
title: "Category Direction - Credential Management"
description: Lifecycle management of credentials, including tokens, for both users and group owners/admins
canonical_path: "/direction/manage/auth/credential-management/"
---

## Permissions

| **Stage** | **Maturity** | **Content Last Reviewed** |
| --- | --- | --- |
| [Manage](/direction/dev/#manage) | [Minimal](/direction/maturity/) | `2022-06-27` |

### Overview

Credential Inventory for GitLab.com (e.g. SSH and PAT expiration) provide administrators with visibility and control for the credentials that can access their instance or group(s). Today much of this functionality is only available to self-managed instances.

What does success look like? GitLab provides a built-in experience that can be used to monitor, revoke, and ensure rotation of the credentials used to access GitLab. We currently have the Credential Inventory to provide some of this information on self-managed GitLab and will continue to enhance it to provide more information and to work for customers on SaaS.

### Open Issues

Here is a list of [open issues](https://gitlab.com/gitlab-org/gitlab/-/issues/?sort=created_date&state=opened&label_name%5B%5D=Category%3AUser%20Management&first_page_size=20) that are in the Credential Management category.




